org.apache.ignite.internal.processors.resource

## Interface GridSpringResourceContext

    public interface GridSpringResourceContext

Interface was introduced to avoid compile-time dependency on spring framework. Spring resource context provides optional spring resource injectors, it can be passed to factory method starting Ignite `IgnitionEx.start(GridSpringResourceContext)`.

### Method Summary

Methods
`org.apache.ignite.internal.processors.resource.GridResourceInjector` `springBeanInjector()`
`org.apache.ignite.internal.processors.resource.GridResourceInjector` `springContextInjector()`
`Object` `unwrapTarget(Object target)` Return original object if AOP used with proxy objects.

### Method Detail

#### springBeanInjector

    org.apache.ignite.internal.processors.resource.GridResourceInjector springBeanInjector()

Returns:
  Spring bean injector.

#### springContextInjector

    org.apache.ignite.internal.processors.resource.GridResourceInjector springContextInjector()

Returns:
  Spring context injector.

#### unwrapTarget

    Object unwrapTarget(Object target)
                        throws IgniteCheckedException

Return original object if AOP used with proxy objects.

Parameters:
  `target` - Target object.
Returns:
  Original object wrapped by proxy.
Throws:
  `IgniteCheckedException` - If unwrap failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015